Package net.sourceforge.jiu.codecs.jpeg

# Class JPEGScanComponentSpecification

java.lang.Object
net.sourceforge.jiu.codecs.jpeg.JPEGScanComponentSpecification

public class JPEGScanComponentSpecification extends Object
Data class to store information on one component in one scan.

Since:
  0.13.0
Author:
  Marco Schmidt

## Field Summary

Fields
Modifier and Type
Field
Description
`private int`
`acEntropyTable`
`private int`
`component`
`private int`
`dcEntropyTable`

## Constructor Summary

Constructors
Constructor
Description
`JPEGScanComponentSpecification()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getAcEntropyTable()`
`int`
`getComponent()`
`int`
`getDcEntropyTable()`
`void`
`setAcEntropyTable(int i)`
`void`
`setComponent(int i)`
`void`
`setDcEntropyTable(int i)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### component

private int component

### acEntropyTable

private int acEntropyTable

### dcEntropyTable

private int dcEntropyTable

## Constructor Details

### JPEGScanComponentSpecification

public JPEGScanComponentSpecification()

## Method Details

### getAcEntropyTable

public int getAcEntropyTable()

### getComponent

public int getComponent()

### getDcEntropyTable

public int getDcEntropyTable()

### setAcEntropyTable

public void setAcEntropyTable(int i)

### setComponent

public void setComponent(int i)

### setDcEntropyTable

public void setDcEntropyTable(int i)